## parted 1.8.8.git.2008.03.24

=== gnulib/Makefile ===
# Makefile for gnulib central.
# Copyright (C) 2006 Free Software Foundation, Inc.
#
# Copying and distribution of this file, with or without modification,
# in any medium, are permitted without royalty provided the copyright
# notice and this notice are preserved.

# Produce some files that are not stored in CVS.
all:

# Perform some platform independent checks on the gnulib code.
check:

# Regenerate some files that are stored in CVS; you should commit them
# afterwards.
regen: MODULES.html

MODULES.html: MODULES.html.sh
	./MODULES.html.sh > MODULES.html

=== gnulib/doc/Makefile ===
# $Id: Makefile,v 1.8 2007/07/06 22:56:38 haible Exp $
# Makefile for gnulib doc.  
# Copyright (C) 2004, 2006-2007 Free Software Foundation, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.

doc = gnulib

TEXI2HTML = $(MAKEINFO) --no-split --reference-limit=2000 --html
%.html: %.texi
	$(TEXI2HTML) -o $@ $<

%.info: %.texi
	LANG= LC_MESSAGES= LC_ALL= LANGUAGE= makeinfo --no-split --reference-limit=2000 $<

all: info html dvi
info: $(doc).info
html: $(doc).html
dvi: $(doc).dvi

# Dependencies. Search for @include to find them all.
gnulib.info gnulib.html gnulib.dvi: gnulib.texi gnulib-intro.texi gnulib-tool.texi $(wildcard headers/*.texi) $(wildcard functions/*.texi) quote.texi error.texi gcd.texi relocatable-maint.texi regexprops-generic.texi fdl.texi
standards.info standards.html standards.dvi: standards.texi make-stds.texi fdl.texi

mostlyclean:
	rm -f *.aux *.cp *.cps *.fn *.ky *.log *.pg *.toc *.tp *.vr *.vrs

clean: mostlyclean
	rm -f *.info *.html *.dvi *.ps *.pdf

## parted 1.7.1-5.1

=== debian/changelog ===
parted (1.7.1-5.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Patch to ensure changes to RAID/LVM flags on mac partitions are
    saved and reloaded correctly, so that debian-installer can use RAID for
    install on mac powerpcs; thanks to David Härdeman for the patch.
    Closes: #413184.

 -- Steve Langasek <vorlon@debian.org>  Tue,  6 Mar 2007 00:51:09 -0800

parted (1.7.1-5) unstable; urgency=low

  * ntfs-align.dpatch: Disabled. We found regressions on it.

 -- Otavio Salvador <otavio@debian.org>  Mon, 22 Jan 2007 08:44:06 -0200

parted (1.7.1-4) unstable; urgency=low

  * ntfs-align.dpatch: Fix align issue with new NTFS release (used by
    Windows Vista). Thanks to David Cantrell <dcantrell@redhat.com> by
    working on the patch for it. Closes: #380226

 -- Otavio Salvador <otavio@debian.org>  Fri, 19 Jan 2007 17:21:26 -0200

parted (1.7.1-3) unstable; urgency=low

  * parted-print-name.dpatch : Fix bug in parted print, when there are no
    extended partitions, but partition names.
  * disabled parted part of kfreebsd-gnu.dpatch, since the patch caused
    parted to have trouble in a d-i environment to print the partition table,
    thus causing tools relying on parted -s print to find information about
    the partition table to break, like the one checking for RAID partitions
    in d-i. (Closes: #392767)

 -- Sven Luther <luther@debian.org>  Tue,  7 Nov 2006 17:45:28 +0100

parted (1.7.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * gpt.dpatch: Put the alternative GPT partition table one sector further
    out, to avoid having it overlap with the last sector of one partition.
    (Closes: #349718)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed,  5 Jul 2006 21:13:07 +0200

parted (1.7.1-2) unstable; urgency=low

  [ Bastian Blank ]
  * Fix s390 patch to not intend to use ibm disklabels on FBA. (Closes: #369580)

  [ Otavio Salvador ]
  * Ack NMU. (Closes: #369491)
  * Add Bastian Blank <waldi@debian.org> as uploader.
  * Add libparted changelog in libparted1.7-1 and libparted1.7-dev
    packages. (Closes: #369780)
  * Apply patch from David Härdeman <david@2gen.com> to improve lvm
    support to include all kind of device-mapper devices. (Closes: #367965)
  * Fix s390 patch to apply again after lvm support improvement.

 -- Otavio Salvador <otavio@debian.org>  Fri,  2 Jun 2006 11:17:12 -0300

parted (1.7.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix abi check. 

 -- Bastian Blank <waldi@debian.org>  Tue, 30 May 2006 17:00:54 +0200

parted (1.7.1-1) unstable; urgency=low

  * New upstream release.
    - change soname version due a ABI change;
    - update minor dependency requirement due ABI change;
  * Update the baseline symbols to allow us to detect ABI changes.
  * Enable ABI checking in build process (just in i386).
  * Add cvs as build-dependency. (Closes: #368363).

 -- Otavio Salvador <otavio@debian.org>  Mon, 29 May 2006 10:16:06 -0300

parted (1.7.0-1) unstable; urgency=low

  [ This version has some changes regarting to API and ABI so you'll
    probably need to check your code if you link anything against it. ]
  
  * New upstream release.
    - doc-package.dpatch: rediff since some parts was applied upstream
      by me;
    - reiserfs-libname.dpatch: rediff 'cause of files reorganization;
    - devfs.dpatch: likewise;
    - lvm2.dpatch: likewise;
    - s390.dpatch: likewise;
    - sparc-fix-raid: likewise;
    - fix_rescue_segfault.dpatch: dropped since it was backport from 
      upstream;
    - remove FAQ from parted-doc since upstream do not suply it 
      anymore.
  * Use ABI brokeness detection code;

 -- Otavio Salvador <otavio@debian.org>  Sat, 20 May 2006 00:32:36 -0300

parted (1.6.25.1-3) unstable; urgency=low

  * Apply patch to include kFreeBSD support. Thanks to Robert Millan
    <rmh@aybabtu.com> (Closes: #363381)
  * Apply patch to use debhelper support for shlibs in udebs. Thanks to
    Frans Pop <aragorn@tiscali.nl> (Closes: #360213)
  * Apply patch to fix RAID usage in SPARC. Thanks to Fabio Di Nitto
    <fabbione@sunfire.int.fabbione.net> (Closes: #355467)

 -- Otavio Salvador <otavio@debian.org>  Thu, 20 Apr 2006 17:45:22 -0300

parted (1.6.25.1-2) unstable; urgency=medium

  [ Otavio Salvador ]
  * New s390 patch. Urgency set to medium to try to hit testing in time to
    release s390 in D-I Beta2 timeframe (Closes: #328992);
  * Set capabitility level of debhelper to 4;

 -- Otavio Salvador <otavio@ossystems.com.br>  Mon,  6 Feb 2006 21:37:10 -0200

parted (1.6.25.1-1) unstable; urgency=low

  [ Otavio Salvador ]
  * New upstream release:
    - sync_r388.dpatch: drop since is unneeded
  * Really change libreadline dependency (Closes: #333957)
  * Change DEPVER to 1.6.24 to force the right version number as
    dependencie and to avoid ABI mistake (Closes: #322262)
  * fix_rescue_segfault.dpatch: added. Backported from current development
    version to avoid a segfault in some uses of rescue command.

 -- Otavio Salvador <otavio@debian.org>  Thu, 17 Nov 2005 13:31:38 -0200

parted (1.6.24-4) unstable; urgency=low

  *** This version doesn't apply s390 support by default ***
  
  [ Otavio Salvador ]
  * ubd.dpatch: update to new source code.
  * Drop merged upstream patches: 
    - parted.8.dpatch
    - id.po.dpatch
    - es.po.dpatch
    - sparc.dpatch
    - gcc_warnings_fix.dpatch
    - ubd.dpatch
    - udev-devfs-rules.dpatch
  * sync_r388.dpatch: add to include current upstream fixes.
  * s390.dpatch: Resync with current upstream code.
  * *Disable* s390.dpatch by default. It has some strange things that need
    to be cleared.

  [ Bastian Blank ]
  * s390.dpatch: Update to apply again. 

 -- Otavio Salvador <otavio@debian.org>  Mon, 10 Oct 2005 16:40:00 -0300

parted (1.6.24-3) unstable; urgency=high

  [ Otavio Salvador ]
  * Applied patch from A. Costa <agcosta@gis.net> to update README.Debian
    about hfs support


=== debian/control ===
Source: parted
Section: admin
Priority: optional
Maintainer: Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>
Uploaders: Sven Luther <luther@debian.org>, Otavio Salvador <otavio@debian.org>, Bastian Blank <waldi@debian.org>
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 5.0.22), dpatch, libncurses-dev | libncurses5-dev, libreadline5-dev | libreadline-dev, uuid-dev, gettext, texinfo (>= 4.2), debianutils (>= 1.13.1), autoconf, automake1.8, libtool, libgeom-dev [kfreebsd-i386 kfreebsd-amd64], cvs

Package: parted
Architecture: any
Section: admin
Depends: ${shlibs:Depends}
Suggests: parted-doc
Conflicts: fsresize, parted1.6
Replaces: fsresize, parted1.6
Description: The GNU Parted disk partition resizing program
 GNU Parted is a program that allows you to create, destroy,
 resize, move and copy hard disk partitions. This is useful
 for creating space for new operating systems, reorganising
 disk usage, and copying data to new hard disks. This package
 contains the Parted binary and manual page.
 .
 Parted currently supports DOS, Mac, Sun, BSD, GPT, MIPS and
 PC98 disklabels/partition tables, as well as a 'loop' (raw
 disk) type which allows use on RAID/LVM. Filesystems which
 are currently fully supported are ext2, ext3, fat (FAT16
 and FAT32), ReiserFS (with libreiserfs) and linux-swap.
 Parted can also detect and remove HFS (Mac OS), JFS, NTFS,
 UFS (Sun and HP), XFS and ASFS/AFFS/APFS (Amiga) filesystems,
 but cannot create, resize or check these filesystems yet.
 .
 Note that ReiserFS support is only enabled if you install
 the libreiserfs0.3-0 package. Since libreiserfs0.3-0 has been
 removed from sarge, ReiserFS support is not compiled in the
 default package.
 .
 The nature of this software means that any bugs could cause
 massive data loss. While there are no known bugs at the moment,
 they could exist, so please back up all important files before
 running it, and do so at your own risk.

Package: parted-udeb
XC-Package-Type: udeb
Architecture: any
Section: debian-installer
Priority: extra
Depends: ${shlibs:Depends}
Provides: parted
Description: The GNU Parted disk partition resizing program
 GNU Parted is a program that allows you to create, destroy,
 resize, move and copy hard disk partitions. This is useful
 for creating space for new operating systems, reorganising
 disk usage, and copying data to new hard disks. This package
 contains the Parted binary and manual page.
 .
 This package is similar to the "big" parted package, but has
 less cosmetical features resulting in smaller binary. Intended 
 to be used in debian-installer.     
 .
 .
 The nature of this software means that any bugs could cause
 massive data loss. While there are no known bugs at the moment,
 they could exist, so please back up all important files before
 running it, and do so at your own risk.

Package: libparted1.7-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: parted | nparted, libparted1.7-dev, libparted1.7-i18n (= ${Source-Version})
Conflicts: parted (<< 1.4.13+14pre1), libparted0, libparted1, libparted2
Replaces: libparted0, libparted1, libparted2, libparted1.4 (<< 1.4.24-2)
Provides: libparted
Description: The GNU Parted disk partitioning shared library
 GNU Parted is a program that allows you to create, destroy,
 resize, move and copy hard disk partitions. This is useful
 for creating space for new operating systems, reorganising
 disk usage, and copying data to new hard disks. This package
 contains the Parted binary and manual page.
 .
 This package contains libparted, the required shared library
 used by Parted.
 .
 Parted currently supports DOS, Mac, Sun, BSD, GPT, MIPS and
 PC98 disklabels/partition tables, as well as a 'loop' (raw
 disk) type which allows use on RAID/LVM. Filesystems which
 are currently fully supported are ext2, ext3, fat (FAT16
 and FAT32), ReiserFS (with libreiserfs) and linux-swap.
 Parted can also detect and remove HFS (Mac OS), JFS, NTFS,
 UFS (Sun and HP), XFS and ASFS/AFFS/APFS (Amiga) filesystems,
 but cannot create, resize or check these filesystems yet.
 .
 Note that ReiserFS support is only enabled if you install
 the libreiserfs0.3-0 package. Since libreiserfs0.3-0 has been
 removed from sarge, ReiserFS support is not compiled in the
 default package.
 .
 The nature of this software means that any bugs could cause
 massive data loss. While there are no known bugs at the moment,
 they could exist, so please back up all important files before
 running it, and do so at your own risk.

Package: libparted1.7-udeb
XC-Package-Type: udeb
Architecture: any
Section: debian-installer
Priority: extra
Depends: ${shlibs:Depends}
Provides: libparted1.7-1
Description: The GNU Parted disk partitioning shared library
 GNU Parted is a program that allows you to create, destroy,
 resize, move and copy hard disk partitions. This is useful
 for creating space for new operating systems, reorganising
 disk usage, and copying data to new hard disks. This package
 contains the Parted binary and manual page.
 .
 This package contains libparted, the required shared library
 used by Parted. This is a cut-down package with no normal
 documentation intended to be used in debian-installer.
 .
 Parted currently supports DOS, Mac, Sun, BSD, GPT, MIPS and
 PC98 disklabels/partition tables, as well as a 'loop' (raw
 disk) type which allows use on RAID/LVM. Filesystems which
 are currently fully supported are ext2, ext3, fat (FAT16
 and FAT32), ReiserFS (with libreiserfs) and linux-swap.
 Parted can also detect and remove HFS (Mac OS), JFS, NTFS,
 UFS (Sun and HP), XFS and ASFS/AFFS/APFS (Amiga) filesystems,
 but cannot create, resize or check these filesystems yet.
 .
 Note that ReiserFS support is only enabled if you install
 the libreiserfs0.3-0 package. Since libreiserfs0.3-0 has been
 removed from sarge, ReiserFS support is not compiled in the
 default package.
 .
 The nature of this software means that any bugs could cause
 massive data loss. While there are no known bugs at the moment,
 they could exist, so please back up all important files before
 running it, and do so at your own risk.

Package: libparted1.7-i18n
Architecture: all
Section: libs
Depends: libparted1.7-1
Replaces: libparted0, libparted1, libparted2, libparted1.4 (<< 1.4.24-2), libparted1.6 (<< 1.5+1.6.0-pre3-2), libparted1.4-i18n, parted (<< 1.4.13+14pre1)
Conflicts: libparted-i18n
Provides: libparted-i18n
Description: The GNU Parted disk partitioning library i18n support
 GNU Parted is a program that allows you to create, destroy,
 resize, move and copy hard disk partitions. This is useful
 for creating space for new operating systems, reorganising
 disk usage, and copying data to new hard disks. This package
 contains the Parted binary and manual page.
 .
 This package contains the i18n message catalogs for
 libparted and parted.
 .
 Parted currently supports DOS, Mac, Sun, BSD, GPT, MIPS and
 PC98 disklabels/partition tables, as well as a 'loop' (raw
 disk) type which allows use on RAID/LVM. Filesystems which
 are currently fully supported are ext2, ext3, fat (FAT16
 and FAT32), ReiserFS (with libreiserfs) and linux-swap.
 Parted can also detect and remove HFS (Mac OS), JFS, NTFS,
 UFS (Sun and HP), XFS and ASFS/AFFS/APFS (Amiga) filesystems,
 but cannot create, resize or check these filesystems yet.
 .
 Note that ReiserFS support is only enabled if you install
 the libreiserfs0.3-0 package. Since libreiserfs0.3-0 has been
 removed from sarge, ReiserFS support is not compiled in the
 default package.
 .
 The nature of this software means that any bugs could cause
 massive data loss. While there are no known bugs at the moment,
 they could exist, so please back up all important files before
 running it, and do so at your own risk.

Package: libparted1.7-dev
Architecture: any
Section: libdevel
Depends: libc6-dev, libparted1.7-1 (= ${Source-Version})
Suggests: parted (= ${Source-Version}), parted-doc
Conflicts: libparted-dev, parted (<< 1.2.11)
Replaces: libparted-dev, libparted0-dev, libparted2-dev
Provides: libparted-dev
Description: The GNU Parted disk partitioning library development files
 GNU Parted is a program that allows you to create, destroy,
 resize, move and copy hard disk partitions. This is useful
 for creating space for new operating systems, reorganising
 disk usage, and copying data to new hard disks. This package
 contains the Parted binary and manual page.
 .
 This package contains the static library and header files
 for libparted, which are really only of interest to parted
 developers.
 .
 Parted currently supports DOS, Mac, Sun, BSD, GPT, MIPS and
 PC98 disklabels/partition tables, as well as a 'loop' (raw
 disk) type which allows use on RAID/LVM. Filesystems which
 are currently fully supported are ext2, ext3, fat (FAT16
 and FAT32), ReiserFS (with libreiserfs) and linux-swap.
 Parted can also detect and remove HFS (Mac OS), JFS, NTFS,
 UFS (Sun and HP), XFS and ASFS/AFFS/APFS (Amiga) filesystems,
 but cannot create, resize or check these filesystems yet.
 .
 Note that ReiserFS support is only enabled if you install
 the libreiserfs0.3-0 package. Since libreiserfs0.3-0 has been
 removed from sarge, ReiserFS support is not compiled in the
 default package.
 .
 The nature of this software means that any bugs could cause
 massive data loss. While there are no known bugs at the moment,
 they could exist, so please back up all important files before
 running it, and do so at your own risk.

Package: libparted1.7-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: libparted1.7-1 (= ${Source-Version}), libparted1.7-dev (= ${Source-Version})
Conflicts: libparted-dbg
Replaces: libparted-dbg
Provides: libparted-dbg
Description: The GNU Parted disk partitioning library debug development files
 GNU Parted is a program that allows you to create, destroy,
 resize, move and copy hard disk partitions. This is useful
 for creating space for new operating systems, reorganising
 disk usage, and copying data to new hard disks. This package
 contains the Parted binary and manual page.
 .
 This package contains the debugging static library for
 libparted, which are really only of interest to parted
 developers who need to debug their programs.
 .
 The debugging libraries are installed as /usr/lib/libparted_g.a
 Link specifically with them if you want to debug.
 .
 Parted currently supports DOS, Mac, Sun, BSD, GPT, MIPS and
 PC98 disklabels/partition tables, as well as a 'loop' (raw
 disk) type which allows use on RAID/LVM. Filesystems which
 are currently fully supported are ext2, ext3, fat (FAT16
 and FAT32), ReiserFS (with libreiserfs) and linux-swap.
 Parted can also detect and remove HFS (Mac OS), JFS, NTFS,
 UFS (Sun and HP), XFS and ASFS/AFFS/APFS (Amiga) filesystems,
 but cannot create, resize or check these filesystems yet.
 .
 Note that ReiserFS support is only enabled if you install
 the libreiserfs0.3-0 package. Since libreiserfs0.3-0 has been
 removed from sarge, ReiserFS support is not compiled in the
 default package.
 .
 The nature of this software means that any bugs could cause
 massive data loss. While there are no known bugs at the moment,
 they could exist, so please back up all important files before
 running it, and do so at your own risk.

Package: parted-doc
Architecture: all
Section: doc
Suggests: parted | libparted1.7-dev
Conflicts: parted1.6-doc
Replaces: parted1.6-doc
Description: The GNU Parted disk partition resizing program documentation
 GNU Parted is a program that allows you to create, destroy,
 resize, move and copy hard disk partitions. This is useful
 for creating space for new operating systems, reorganising
 disk usage, and copying data to new hard disks. This package
 contains user documentation for parted (for the 'parted'
 package) and API documentation for libparted (for the
 'libparted1.7' and 'libparted1.7-dev' packages).

=== debian/rules ===
#!/usr/bin/make -f
# GNU Parted debian/rules
#
# This file is used by dpkg-buildpackage to build the parted packages.
# To build a package, run `dpkg-buildpackage' or `debuild' from the
# parent directory. (You may need to specify `-rfakeroot' to
# dpkg-buildpackage if you are not running it as root ...)
#
# $Id: rules,v 1.50 2003/02/19 11:13:18 timshel Exp $
#
# Copyright (C) 1999, 2000, 2001, 2002  Timshel Knoll
# Licensed under the terms of the GNU General Public License
#
# Based (a long time ago) on parted's debian/rules, which in turn is based on
# `Sample debian/rules that uses debhelper' from dh_make,
# GNU Copyright (C) 1997 to 1999 by Joey Hess

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# The version of the debian package, used in naming the udeb
DEBPKGVER = $(shell dpkg-parsechangelog | sed -n -e '/^Version: /{s///;p;q;}')

# The library package version, ie. version 0.2 will build package
# libparted0.2, libparted0.2-dev etc.
# When incrementing this because of a new library SONAME, add an 'a' to the
# end if there isn't already one, otherwise increment the letter that is
# already there.
# When incrementing this, also set DEPVER to the current package version.
LIBPKGVER = 1.7

# Append the LIBPKGVER to non-lib package names? This is useful when building
# packages of the development versions of parted (eg. to build a parted1.5
# package)
# BINPKGVER = $(LIBPKGVER)

# The first version of the package to build with the current LIBPKGVER
# This should be changed to the current version when LIBPKGVER is changed ...
DEPVER = 1.7.1-1

# This is the library's soname. The build will fail if this is wrong, since
# if the soname has changed we need to update stuff ...
LIBSONAME = 1

# This is for the version for the shared library
SHAREDLIBPKGVER = $(LIBPKGVER)-$(LIBSONAME)

# The list of sed substitutions we need to do when generating files ...
# if you put `x' in here somewhere, the substitution `s/@x@/$(x)/'
# will be done ...
SUBSTS = LIBPKGVER BINPKGVER DEPVER LIBSONAME SHAREDLIBPKGVER

# Files which are generated by this script ...
# You will probably need to change this depending on what files your package
# needs ...
GENFILES = debian/control \
	debian/libparted$(SHAREDLIBPKGVER).files \
	debian/libparted$(LIBPKGVER)-dev.files \
	debian/libparted$(LIBPKGVER)-i18n.files \

ifneq (, $(BINPKGVER))
GENFILES += debian/parted$(BINPKGVER).files \
	debian/parted$(BINPKGVER)-doc.files \
	debian/parted$(BINPKGVER)-doc.docs \
	debian/parted$(BINPKGVER)-doc.postinst \
	debian/parted$(BINPKGVER)-doc.prerm
endif

ifeq (, $(DEB_BUILD_ARCH))
DEB_BUILD_ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
endif

ifeq (, $(DEB_BUILD_GNU_TYPE))
DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
endif

ifeq (, $(DEB_HOST_GNU_TYPE))
DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
endif

ifeq (, $(DEB_BUILD_GNU_SYSTEM))
DEB_BUILD_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
endif

ifeq (, $(ARCH))
ARCH = $(DEB_BUILD_ARCH)
endif

ifeq (, $(CFLAGS))
CFLAGS = -g
UDEB_CFLAGS = -g

ifeq (, $(findstring noopt, $(DEB_BUILD_OPTIONS)))
CFLAGS += -O2
UDEB_CFLAGS += -Os
else
CFLAGS += -O0
UDEB_CFLAGS += -O0
endif

endif

# This is a workaround for a m68k compiler bug ...
ifeq (m68k, $(DEB_BUILD_ARCH))
  CONFFLAGS += --disable-Werror
endif
ifeq (s390, $(DEB_BUILD_ARCH))
  CONFFLAGS += --disable-Werror
endif
ifeq (gnu, $(DEB_BUILD_GNU_SYSTEM))
  CONFFLAGS += --disable-Werror
endif

# This builds a substitution list for sed based on the SUBSTS variable
# and the variables whose names SUBSTS contains ...
SUBSTLIST = $(foreach subst, $(SUBSTS), s/@$(subst)@/$($(subst))/g;)

# Pattern rules:

# How to generate various files ...
debian/%: debian/%.in debian/rules
	sed -e '$(SUBSTLIST)' < $< > $@

# This puts the libparted* packaging files in their right places
debian/libparted$(SHAREDLIBPKGVER)%: debian/libparted%
	cp $< $@

debian/libparted$(LIBPKGVER)%: debian/libparted%
	cp $< $@

debian/parted$(BINPKGVER)%: debian/parted%
	cp $< $@

# by default, do something sane ...
default: echo-vars

echo-vars:
	@echo "Try: debian/rules [configure|build|install|binary|binary-arch|binary-indep|clean]"
	@echo "CFLAGS:		$(CFLAGS)"
	@echo "DEB_BUILD_ARCH:	$(DEB_BUILD_ARCH)"
	@echo "DEB_BUILD_GNU_TYPE: $(DEB_BUILD_GNU_TYPE)"
	@echo "DEB_HOST_GNU_TYPE: $(DEB_HOST_GNU_TYPE)"
	@echo "LIBSONAME:	$(LIBSONAME)"
	@echo "LIBPKGVER:	$(LIBPKGVER)"
	@echo "BINPKGVER:	$(BINPKGVER)"
	@echo "GENFILES:	$(GENFILES)"
	@echo "SUBSTLIST:	$(SUBSTLIST)"

packaging-files: $(GENFILES)

autotools-update: autotools-update-stamp
autotools-update-stamp: patch-stamp
	 ACLOCAL=aclocal-1.8 AUTOMAKE=automake-1.8 autoreconf -f -i
	 touch $@

build-deb/config.status: autotools-update-stamp
	dh_testdir
	[ -d build-deb ] || mkdir build-deb

ifneq (, $(findstring debug, $(DEB_BUILD_OPTIONS)))
	@echo "warning: option \`debug' in \$$DEB_BUILD_OPTIONS: building with gcc option \`-g'" >&2
endif

#	 Add here commands to configure the package.
#	 Install the `parted' executable to /sbin ...
	cd build-deb && CFLAGS="$(CFLAGS)" ../configure --prefix=/usr \
	    --sbindir=/sbin --mandir=\$${prefix}/share/man \
	    --infodir=\$${prefix}/share/info --enable-shared \
	    --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
	    $(CONFFLAGS)

build-udeb/config.status: autotools-update-stamp
	dh_testdir
	[ -d build-udeb ] || mkdir build-udeb

	cd build-udeb && CFLAGS="$(UDEB_CFLAGS)" ../configure --prefix=/usr \
	    --sbindir=/sbin --libdir=/lib --mandir=\$${prefix}/share/man \
	    --infodir=\$${prefix}/share/info --enable-shared --disable-static \
	    --without-readline $(CONFFLAGS) \
	    --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)

build-dbg/config.status: autotools-update-stamp
	dh_testdir
	[ -d build-dbg ] || mkdir build-dbg

#	 Add here commands to configure the package.
	cd build-dbg && CFLAGS="-g $(CFLAGS)" ../configure --prefix=/usr \
	    --enable-mtrace --disable-shared $(CONFFLAGS) \
	    --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)

	touch $@

build: build-deb build-udeb build-dbg

build-deb: build-deb/build-stamp
build-deb/build-stamp: build-deb/config.status
	dh_testdir

	$(MAKE) -C build-deb

#	By now just use ABI detection on i386 machines. (enable in 1.7.1)
	if [ $(DEB_BUILD_ARCH) = "i386" ]; then $(MAKE) -C build-deb check-abi; fi

	touch $@

build-udeb: build-udeb/build-stamp
build-udeb/build-stamp: build-udeb/config.status
	dh_testdir

#	 Only build binaries
	$(MAKE) -C build-udeb/libparted
	$(MAKE) -C build-udeb/parted

	touch $@

build-dbg: build-dbg/build-stamp
build-dbg/build-stamp: build-dbg/config.status
	dh_testdir

#	 Add here commands to compile the package.
#	 Don't need to build headers or doco rubbish, just the library ...
#	 Note: this assumes that the library source code is in the
#	 libparted directory, change this if it isn't ...
	$(MAKE) -C build-dbg/libparted

	touch $@

clean: unpatch packaging-files
	dh_testdir
	dh_testroot

#	 Add here commands to clean up after the build process
	rm -rf build-deb build-udeb build-dbg

	rm -f autotools-update-stamp

#	 Remove all debian/libparted*.* except for libparted.*,
#	 libparted-dev.* and libparted$(LIBPKGVER)*
	@for file in debian/libparted*; do \
	   file="`basename $$file`"; \
	   case "$$file" in \
	   libparted.*|libparted-dev.*|libparted-i18n.*|\
	   libparted$(LIBPKGVER).*|libparted$(LIBPKGVER)-dev.*|\
	   libparted$(LIBPKGVER)-i18n.*|libparted$(LIBPKGVER)-udeb.*) \
	      ;; \
	   *) \
	      echo "rm -rf \"debian/$$file\""; \
	      rm -rf "debian/$$file" ;; \
	   esac; \
	done

	dh_clean

install: DH_OPTIONS=-Nparted$(BINPKGVER)-udeb -Nlibparted$(LIBPKGVER)-udeb -Nlibparted$(LIBPKGVER)-dbg
install: build packaging-files
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) -C build-deb install DESTDIR=$(CURDIR)/debian/tmp

=== debian/watch ===
version=3

http://ftp.gnu.org/gnu/parted/parted-(.*).tar.gz

## parted 1.7.1-5.2

=== debian/changelog ===
parted (1.7.1-5.2) unstable; urgency=low

  * Removed udeb creation.

 -- Faheem Pervez <trippin1@gmail.com>  Fri, 17 Oct 2008 18:21:07 +0100

=== debian/control ===
--- 
+++ 
@@ -39,30 +39,6 @@
  they could exist, so please back up all important files before
  running it, and do so at your own risk.
 
-Package: parted-udeb
-XC-Package-Type: udeb
-Architecture: any
-Section: debian-installer
-Priority: extra
-Depends: ${shlibs:Depends}
-Provides: parted
-Description: The GNU Parted disk partition resizing program
- GNU Parted is a program that allows you to create, destroy,
- resize, move and copy hard disk partitions. This is useful
- for creating space for new operating systems, reorganising
- disk usage, and copying data to new hard disks. This package
- contains the Parted binary and manual page.
- .
- This package is similar to the "big" parted package, but has
- less cosmetical features resulting in smaller binary. Intended 
- to be used in debian-installer.     
- .
- .
- The nature of this software means that any bugs could cause
- massive data loss. While there are no known bugs at the moment,
- they could exist, so please back up all important files before
- running it, and do so at your own risk.
-
 Package: libparted1.7-1
 Architecture: any
 Section: libs
@@ -80,43 +56,6 @@
  .
  This package contains libparted, the required shared library
  used by Parted.
- .
- Parted currently supports DOS, Mac, Sun, BSD, GPT, MIPS and
- PC98 disklabels/partition tables, as well as a 'loop' (raw
- disk) type which allows use on RAID/LVM. Filesystems which
- are currently fully supported are ext2, ext3, fat (FAT16
- and FAT32), ReiserFS (with libreiserfs) and linux-swap.
- Parted can also detect and remove HFS (Mac OS), JFS, NTFS,
- UFS (Sun and HP), XFS and ASFS/AFFS/APFS (Amiga) filesystems,
- but cannot create, resize or check these filesystems yet.
- .
- Note that ReiserFS support is only enabled if you install
- the libreiserfs0.3-0 package. Since libreiserfs0.3-0 has been
- removed from sarge, ReiserFS support is not compiled in the
- default package.
- .
- The nature of this software means that any bugs could cause
- massive data loss. While there are no known bugs at the moment,
- they could exist, so please back up all important files before
- running it, and do so at your own risk.
-
-Package: libparted1.7-udeb
-XC-Package-Type: udeb
-Architecture: any
-Section: debian-installer
-Priority: extra
-Depends: ${shlibs:Depends}
-Provides: libparted1.7-1
-Description: The GNU Parted disk partitioning shared library
- GNU Parted is a program that allows you to create, destroy,
- resize, move and copy hard disk partitions. This is useful
- for creating space for new operating systems, reorganising
- disk usage, and copying data to new hard disks. This package
- contains the Parted binary and manual page.
- .
- This package contains libparted, the required shared library
- used by Parted. This is a cut-down package with no normal
- documentation intended to be used in debian-installer.
  .
  Parted currently supports DOS, Mac, Sun, BSD, GPT, MIPS and
  PC98 disklabels/partition tables, as well as a 'loop' (raw

=== debian/rules ===
--- 
+++ 
@@ -91,14 +91,11 @@
 
 ifeq (, $(CFLAGS))
 CFLAGS = -g
-UDEB_CFLAGS = -g
 
 ifeq (, $(findstring noopt, $(DEB_BUILD_OPTIONS)))
 CFLAGS += -O2
-UDEB_CFLAGS += -Os
 else
 CFLAGS += -O0
-UDEB_CFLAGS += -O0
 endif
 
 endif
@@ -172,16 +169,6 @@
 	    --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
 	    $(CONFFLAGS)
 
-build-udeb/config.status: autotools-update-stamp
-	dh_testdir
-	[ -d build-udeb ] || mkdir build-udeb
-
-	cd build-udeb && CFLAGS="$(UDEB_CFLAGS)" ../configure --prefix=/usr \
-	    --sbindir=/sbin --libdir=/lib --mandir=\$${prefix}/share/man \
-	    --infodir=\$${prefix}/share/info --enable-shared --disable-static \
-	    --without-readline $(CONFFLAGS) \
-	    --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
-
 build-dbg/config.status: autotools-update-stamp
 	dh_testdir
 	[ -d build-dbg ] || mkdir build-dbg
@@ -193,7 +180,7 @@
 
 	touch $@
 
-build: build-deb build-udeb build-dbg
+build: build-deb build-dbg
 
 build-deb: build-deb/build-stamp
 build-deb/build-stamp: build-deb/config.status
@@ -203,16 +190,6 @@
 
 #	By now just use ABI detection on i386 machines. (enable in 1.7.1)
 	if [ $(DEB_BUILD_ARCH) = "i386" ]; then $(MAKE) -C build-deb check-abi; fi
-
-	touch $@
-
-build-udeb: build-udeb/build-stamp
-build-udeb/build-stamp: build-udeb/config.status
-	dh_testdir
-
-#	 Only build binaries
-	$(MAKE) -C build-udeb/libparted
-	$(MAKE) -C build-udeb/parted
 
 	touch $@
 
@@ -254,7 +231,7 @@
 
 	dh_clean
 
-install: DH_OPTIONS=-Nparted$(BINPKGVER)-udeb -Nlibparted$(LIBPKGVER)-udeb -Nlibparted$(LIBPKGVER)-dbg
+install: DH_OPTIONS=-Nlibparted$(LIBPKGVER)-dbg
 install: build packaging-files
 	dh_testdir
 	dh_testroot
@@ -263,3 +240,17 @@
 
 	$(MAKE) -C build-deb install DESTDIR=$(CURDIR)/debian/tmp
 
+#	 We need to do 2 things here:
+#	   1. Check that $(LIBSONAME) is actually what the library's SONAME is
+#	   2. Fix the libparted.so symlink to point to /lib/libparted.so.x.x.x
+#	      rather than being relative & pointing to the current directory
+	@(cd debian/tmp/usr/lib; \
+	  SONAME=`ls libparted-$(LIBPKGVER).so.*.*.* | \
+	          sed -e 's/^.*\.so\.\([0-9]\+\)\..*$$/\1/'`; \
+	  if [ "$(LIBSONAME)" -ne "$$SONAME" ]; then \
+	     echo " *** error: debian/rules thinks that libparted is" \
+	          "version $(LIBSONAME)" >&2; \
+	     echo " *** library is actually version $$SONAME. These should" \
+	          "be the same." >&2; \
+	     echo " *** Change the value of LIBSONAME to $$SONAME in" \
+	          "debian/rules, and" >&2; \
